<?php
error_reporting(0);
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) ob_start("ob_gzhandler"); else ob_start();
session_start();
session_cache_limiter('private');
$cache_limiter 	= session_cache_limiter();
session_cache_expire(60);
$cache_expire 	= session_cache_expire(); 
date_default_timezone_set('Asia/Manila'); 
$CURRENT_DATE 	= date('Y-m-d H:i:s');
include_once('../config/minho.php');
include_once('../config/autoloadClass.php');
$autoload	=	new autoloadClass();
$mecon		=	new condbClass(); 
$utility	=	new utilityClass(); 
$mainId			= isset($_POST['mainid']) ? trim(strip_tags($_POST['mainid'])) : ""; 
$currentUser 	= $_SESSION['danvillee_username'];
$timeStamp		= date('Y-m-d H:i:s');
$output 	= "";  
$mainArr = array();
$condArr = array();
$condArr['Id']					= $mainId; 
$mainArr['CancelledDate'] 		= "";
$mainArr['CancelledBy'] 		= ""; 
$mainArr['ReservationStatus']   = "active"; 
$output 						= $mecon->updateQuery($mainArr,"reservation",$condArr);

//LOG TASK
			$actArr['UserType']			= "admin";
			$actArr['Remarks']			= "Activate Cancelled Reservation : [$mainId]";
			$actArr['Action']			= "edit";
			$actArr['TransId']			= $mainId;
			$actArr['ActionType']		= "reservation";
			$actArr['ActionContent']	= json_encode($mainArr);
			$actArr['ActionBy'] 		= $currentUser;	
			$actArr['ActionDate']		= $timeStamp;
			$utility->encodeActivityLog($actArr); 
			


$resultArr 						= array();
$resultArr['output']	  		= $output;  
echo json_encode($resultArr);
exit();
ob_end_flush();
